Get SLA Metrics
curl --request GET \
--url https://api.mindfort.app/v1/findings/metrics/sla \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/findings/metrics/sla"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/findings/metrics/sla', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/findings/metrics/sla"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"org_wide": true,
"breaches": [
{
"sla_days": 123,
"total_open": 0,
"breached": 0,
"breach_rate": 0
}
],
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Analytics
Get SLA Metrics
GET
/
v1
/
findings
/
metrics
/
sla
Get SLA Metrics
curl --request GET \
--url https://api.mindfort.app/v1/findings/metrics/sla \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mindfort.app/v1/findings/metrics/sla"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mindfort.app/v1/findings/metrics/sla', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/findings/metrics/sla"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"org_wide": true,
"breaches": [
{
"sla_days": 123,
"total_open": 0,
"breached": 0,
"breach_rate": 0
}
],
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Query Parameters
Optionally scope organization-wide results to one target
Was this page helpful?
⌘I